=== debian/changelog ===
kwayland (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:59:22 +0100

kwayland (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:42:15 +0100

kwayland (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:12 +0200

kwayland (4:6.1.0-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Rename qt6 kwayland-data to kwayland6-data to keep coinstallability of qt5
    and qt6 kwayland libraries.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 10 Jul 2024 20:12:49 +0200

kwayland (4:6.1.0-2) experimental; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Jul 2024 06:07:18 +0200

kwayland (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update d/watch as the package has moved from Frameworks to Plasma.
  * Update upstream signing-key.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 22 Jun 2024 12:52:26 +0200

kwayland (4:5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:10:35 +0200

kwayland (4:5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Enable LTO (Closes: #1015466).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 10:39:18 +0100
