=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kwayland
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -14,16 +15,16 @@
                libwayland-dev (>= 1.15~),
                pkgconf,
                plasma-wayland-protocols (>= 1.14.0~),
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev (>= 6.7.0~),
-               qt6-tools-dev (>= 6.6.0~),
-               qt6-wayland-dev (>= 6.6.0~),
-               qt6-wayland-private-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-base-private-dev (>= 6.7.0+dfsg~),
+               qt6-tools-dev (>= 6.7.0~),
+               qt6-wayland-dev (>= 6.7.0~),
+               qt6-wayland-private-dev (>= 6.7.0~),
                wayland-protocols (>= 1.15~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwayland
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwayland
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwayland.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
 Rules-Requires-Root: no
 
 Package: kwayland6-data
@@ -39,7 +40,7 @@
 Architecture: any
 Depends: libkwaylandclient6 (= ${binary:Version}),
          libwayland-dev (>= 1.13~),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.7.0+dfsg~),
          ${misc:Depends},
 Recommends: kwayland-doc (= ${source:Version}),
 Description: development files for kwayland
