=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.5.0~),
+               extra-cmake-modules (>= 6.10.0~),
                libegl-dev,
                libwayland-dev (>= 1.15~),
                pkgconf,
@@ -20,7 +20,7 @@
                qt6-tools-dev (>= 6.7.0~),
                qt6-wayland-dev (>= 6.7.0~),
                qt6-wayland-private-dev (>= 6.7.0~),
-               wayland-protocols (>= 1.15~),
+               wayland-protocols (>= 1.16~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwayland
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
