=== debian/control ===
--- 
+++ 
@@ -1,30 +1,29 @@
 Source: kwayland
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
                extra-cmake-modules (>= 6.10.0~),
                libegl-dev,
                libwayland-dev (>= 1.15~),
                pkgconf,
-               plasma-wayland-protocols (>= 1.14.0~),
-               qt6-base-dev (>= 6.7.0+dfsg~),
-               qt6-base-private-dev (>= 6.7.0+dfsg~),
-               qt6-tools-dev (>= 6.7.0~),
-               qt6-wayland-dev (>= 6.7.0~),
-               qt6-wayland-private-dev (>= 6.7.0~),
-               wayland-protocols (>= 1.16~),
+               plasma-wayland-protocols (>= 1.16.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-base-private-dev (>= 6.7.0~),
+               qt6-tools-dev (>= 6.6.0~),
+               qt6-wayland-dev (>= 6.6.0~),
+               qt6-wayland-private-dev (>= 6.6.0~),
+               wayland-protocols (>= 1.15~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwayland
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwayland
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwayland.git
 Rules-Requires-Root: no
 
 Package: kwayland6-data
@@ -40,7 +39,7 @@
 Architecture: any
 Depends: libkwaylandclient6 (= ${binary:Version}),
          libwayland-dev (>= 1.13~),
-         qt6-base-dev (>= 6.7.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: kwayland-doc (= ${source:Version}),
 Description: development files for kwayland
