## kwayland 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.3.4")
 project(kwayland VERSION ${PROJECT_VERSION})
 
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -26,7 +26,6 @@
 include(ECMDeprecationSettings)
 include(ECMPoQmTools)
 include(ECMAddQch)
-include(CMakeFindFrameworks)
 include(CMakePackageConfigHelpers)
 include(CheckIncludeFile)
 
@@ -59,14 +58,14 @@
 find_package(EGL)
 set_package_properties(EGL PROPERTIES TYPE REQUIRED)
 
-find_package(PlasmaWaylandProtocols 1.13.0 CONFIG)
+find_package(PlasmaWaylandProtocols 1.16.0 CONFIG)
 set_package_properties(PlasmaWaylandProtocols PROPERTIES TYPE REQUIRED)
 
 # adjusting CMAKE_C_FLAGS to get wayland protocols to compile
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.4.0
+    QT 6.8.1
 )
 
 check_cxx_source_compiles("
