=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kwayland
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
                extra-cmake-modules (>= 6.10.0~),
                libegl-dev,
@@ -22,8 +23,8 @@
                wayland-protocols (>= 1.15~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwayland
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwayland
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwayland.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwayland
 Rules-Requires-Root: no
 
 Package: kwayland6-data
