=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                libegl-dev,
                libwayland-dev (>= 1.15~),
                pkgconf,
                plasma-wayland-protocols (>= 1.16.0~),
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev (>= 6.7.0~),
-               qt6-tools-dev (>= 6.6.0~),
-               qt6-wayland-dev (>= 6.6.0~),
-               qt6-wayland-private-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-base-private-dev (>= 6.8.0~),
+               qt6-tools-dev (>= 6.8.0~),
+               qt6-wayland-dev (>= 6.8.0~),
+               qt6-wayland-private-dev (>= 6.8.0~),
                wayland-protocols (>= 1.15~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwayland
@@ -40,7 +40,7 @@
 Architecture: any
 Depends: libkwaylandclient6 (= ${binary:Version}),
          libwayland-dev (>= 1.13~),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: kwayland-doc (= ${source:Version}),
 Description: development files for kwayland
