## kwayland 6.4.5+p24.04+vstable+git20250921.0827

=== debian/changelog ===
kwayland (4:6.4.5+p24.04+vstable+git20250921.0827-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 08:27:19 +0000

kwayland (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:56:50 +0000
