## kwayland 6.4.5+p24.04+vstable+git20251004.0559

=== debian/changelog ===
kwayland (4:6.4.5+p24.04+vstable+git20251004.0559-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:59:43 +0000
