## kwayland 6.4.5+p24.04+vunstable+git20250923.0825

=== debian/changelog ===
kwayland (4:6.4.5+p24.04+vunstable+git20250923.0825-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 23 Sep 2025 08:25:48 +0000
