## kwayland 6.4.5+p24.04+vunstable+git20250925.1343

=== debian/changelog ===
kwayland (4:6.4.5+p24.04+vunstable+git20250925.1343-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 25 Sep 2025 13:43:39 +0000
