=== debian/changelog ===
kwayland (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update upstream source repo URL.
  * Add/update Bhushan Shah’s key in upstream keyring.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.4.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:12:47 +0200

kwayland (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:00:25 +0200
